Blame SOURCES/rear-bz1492177-warning.patch

e8a0f5
diff --git a/usr/share/rear/output/ISO/Linux-i386/249_check_rhel_grub2_efi_package.sh b/usr/share/rear/output/ISO/Linux-i386/249_check_rhel_grub2_efi_package.sh
e8a0f5
new file mode 100644
e8a0f5
index 00000000..4c4ded08
e8a0f5
--- /dev/null
e8a0f5
+++ b/usr/share/rear/output/ISO/Linux-i386/249_check_rhel_grub2_efi_package.sh
e8a0f5
@@ -0,0 +1,9 @@
e8a0f5
+# 249_check_rhel_grub2_efi_package.sh
e8a0f5
+
e8a0f5
+is_true $USING_UEFI_BOOTLOADER || return    # empty or 0 means NO UEFI
e8a0f5
+
e8a0f5
+(
e8a0f5
+    VERBOSE=1
e8a0f5
+    test -r /usr/lib/grub/x86_64-efi/moddep.lst
e8a0f5
+    PrintIfError "WARNING: /usr/lib/grub/x86_64-efi/moddep.lst not found, grub2-mkimage will likely fail. Please install the grub2-efi-x64-modules package to fix this."
e8a0f5
+)